Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::PersistentIdValue Interface Reference

`import "CCM_Container_Ex.idl";`

Inheritance diagram for Components::PersistentIdValue:

[legend]
Collaboration diagram for Components::PersistentIdValue:

[legend]
List of all members.

## Public Methods
PersistentId | get_pid ()
factory | init (in PersistentId pid)
PersistentId | get_pid ()
factory | init (in PersistentId pid)
## Public Attributes
private PersistentId | pid

## Member Function Documentation

PersistentId Components::PersistentIdValue::get_pid | ( |  | ) |

PersistentId Components::PersistentIdValue::get_pid | ( |  | ) |

factory Components::PersistentIdValue::init | ( | in PersistentId | pid | ) |

factory Components::PersistentIdValue::init | ( | in PersistentId | pid | ) |

## Member Data Documentation

private PersistentId Components::PersistentIdValue::pid

The documentation for this interface was generated from the following files:

- CCM_Container_Ex.idl
- Component_Base.idl